package com.lovecoding.day13.inner03;

public class Test {

    public static void main(String[] args) {

        //匿名内部类 接口
        //Usb接口的子类  没名字 匿名内部类
        new Usb(){};

        //未实现的方法需要实现
        new Usb2() {
            @Override
            public void in() {
                System.out.println("输入");
            }
        };

        //匿名内部类 抽象类
        new Animal(){

            @Override
            public void run() {

            }
        };

        //匿名内部类 类
        new AAA(){
            @Override
            public void aaa() {
                super.aaa();
            }
        }.aaa();

        //可以用变量接收 返回类必须是类 接口 抽象类
        Usb usb = new Usb(){};


        //参数
        in(new Usb2() {
            @Override
            public void in() {
                System.out.println("输入");
            }
        });

    }

    //参数
    public static void in( Usb2 usb ){
        usb.in();
    }
}
